## akonadiconsole 24.08.2

=== debian/changelog ===
akonadiconsole (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Add an AppArmor profile.
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 17:57:58 -0500

akonadiconsole (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:36 +0200

akonadiconsole (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Sep 2024 22:26:07 +0200

akonadiconsole (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492) 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 09:29:08 -0700

akonadiconsole (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:18:42 -0700
