=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
-               libakonadisearch-dev (>= 4:24.12.0~),
-               libcalendarsupport-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadisearch-dev (>= 4:24.12.2~),
+               libcalendarsupport-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -30,9 +30,9 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.2~),
                libxapian-dev,
-               messagelib-dev (>= 4:24.12.0~),
+               messagelib-dev (>= 4:24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,
