=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
-               libakonadisearch-dev (>= 4:24.12.2~),
-               libcalendarsupport-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadisearch-dev (>= 4:24.12.3~),
+               libcalendarsupport-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -30,14 +30,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.3~),
                libxapian-dev,
-               messagelib-dev (>= 4:24.12.2~),
+               messagelib-dev (>= 4:24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadiconsole
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole.git
