## akonadiconsole 25.07.80

=== debian/changelog ===
akonadiconsole (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:39:18 +0100

akonadiconsole (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:26 +0100

akonadiconsole (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:05 +0100

akonadiconsole (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:39 +0100

akonadiconsole (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:49 +0100

akonadiconsole (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Bring back apparmor profile that fixes webengine userns crashes Bugfix-only upload. (LP: #2105385) 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 29 Mar 2025 10:21:49 -0700

akonadiconsole (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:27 -0500
