## akonadiconsole 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.1")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
-set(QT_REQUIRED_VERSION "6.7.0")
+set(KF_MIN_VERSION "6.14.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
-
 
 include(ECMSetupVersion)
 include(ECMAddTests)
@@ -15,16 +14,28 @@
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
-include(KDEGitCommitHooks)
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
-autotests/*.cpp
-autotests/*.h
-src/*.cpp
-src/*.h
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    autotests/*.cpp
+    autotests/*.h
+    src/*.cpp
+    src/*.h
 )
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+set(PRE_COMMIT_INSTALLED FALSE)
+if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
+    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
+        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
+        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        if(${INDEX} GREATER_EQUAL 0)
+            set(PRE_COMMIT_INSTALLED TRUE)
+        endif()
+    endif()
+endif()
+if(NOT ${PRE_COMMIT_INSTALLED})
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+endif()
 include(CheckFunctionExists)
 
 include(KDEInstallDirs)
@@ -39,30 +50,38 @@
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "24.12.3")
+set(RELEASE_SERVICE_VERSION "25.08.1")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.3.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.3.3")
-set(AKONADIMIME_LIB_VERSION "6.3.3")
-set(AKONADI_VERSION "6.3.3")
-set(AKONADI_SEARCH_VERSION "6.3.3")
+set(AKONADI_CONTACT_VERSION "6.5.1")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
+set(AKONADIMIME_LIB_VERSION "6.5.1")
+set(AKONADI_VERSION "6.5.1")
+set(AKONADI_SEARCH_VERSION "6.5.1")
 
-find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Sql Test)
-set(MESSAGELIB_LIB_VERSION "6.3.3")
-set(LIBKDEPIM_LIB_VERSION "6.3.3")
-set(KMIME_LIB_VERSION "6.3.3")
-
+find_package(
+    Qt6
+    ${QT_REQUIRED_VERSION}
+    CONFIG
+    REQUIRED
+        Widgets
+        DBus
+        Sql
+        Test
+)
+set(MESSAGELIB_LIB_VERSION "6.5.1")
+set(LIBKDEPIM_LIB_VERSION "6.5.1")
+set(KMIME_LIB_VERSION "6.5.1")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -92,12 +111,28 @@
     find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
     find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
     find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
-    set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
+    set_package_properties(
+        KPim6AkonadiSearch
+        PROPERTIES
+            DESCRIPTION
+                "The Akonadi Search libraries"
+            URL
+                "https://invent.kde.org/pim/akonadi-search"
+            TYPE
+                REQUIRED
+            PURPOSE
+                "Provides search capabilities in KMail and Akonadi"
+    )
     find_package(Xapian CONFIG)
-    set_package_properties(Xapian PROPERTIES
-        DESCRIPTION "The Xapian search engine library"
-        URL "https://xapian.org"
-        TYPE REQUIRED
+    set_package_properties(
+        Xapian
+        PROPERTIES
+            DESCRIPTION
+                "The Xapian search engine library"
+            URL
+                "https://xapian.org"
+            TYPE
+                REQUIRED
     )
 
     set(ENABLE_SEARCH TRUE)
@@ -116,10 +151,13 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
-
-include_directories(${akonadiconsole_SOURCE_DIR} ${akonadiconsole_BINARY_DIR} ${XAPIAN_INCLUDE_DIR})
+include_directories(
+    ${akonadiconsole_SOURCE_DIR}
+    ${akonadiconsole_BINARY_DIR}
+    ${XAPIAN_INCLUDE_DIR}
+)
 configure_file(akonadiconsole-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/akonadiconsole-version.h @ONLY)
 configure_file(config-akonadiconsole.h.in ${CMAKE_BINARY_DIR}/config-akonadiconsole.h)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
@@ -133,8 +171,10 @@
 if(BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
+if(DEFINED kde_configure_git_pre_commit_hook)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 ki18n_install(po)
 
 ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
