## akonadiconsole 25.08.1+p24.04+vstable+git20250930.0539

=== debian/changelog ===
akonadiconsole (4:25.08.1+p24.04+vstable+git20250930.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:39:53 +0000
