## akonadiconsole 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.14.0")
@@ -56,18 +56,18 @@
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
-set(AKONADIMIME_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(AKONADI_SEARCH_VERSION "6.5.1")
+set(AKONADI_CONTACT_VERSION "6.5.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
+set(AKONADIMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
+set(AKONADI_SEARCH_VERSION "6.5.2")
 
 find_package(
     Qt6
@@ -79,9 +79,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
+set(MESSAGELIB_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
