=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicontact-dev (>= 4:25.08.1~),
-               libakonadimime-dev (>= 4:25.08.1~),
-               libakonadisearch-dev (>= 4:25.08.1~),
-               libcalendarsupport-dev (>= 4:25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicontact-dev (>= 4:25.08.2~),
+               libakonadimime-dev (>= 4:25.08.2~),
+               libakonadisearch-dev (>= 4:25.08.2~),
+               libcalendarsupport-dev (>= 4:25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -32,9 +32,9 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.2~),
                libxapian-dev,
-               messagelib-dev (>= 4:25.08.1~),
+               messagelib-dev (>= 4:25.08.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,
