=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,14 @@
 %:
 	dh $@
 
+override_dh_auto_install:
+	dh_auto_install
+	# do not ship development stuff
+	find debian/akonadiconsole -name '*.so' -type l -delete
+	mkdir -p debian/akonadiconsole/etc/apparmor.d
+	cp debian/akonadiconsole-apparmor debian/akonadiconsole/etc/apparmor.d/usr.bin.akonadiconsole
+	dh_apparmor --profile-name=usr.bin.akonadiconsole -pakonadiconsole
+
 override_dh_auto_test:
 	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
 	           dh_auto_test --no-parallel
